memcached (1.6.40-1) unstable; urgency=medium

  * New upstream release.
    <https://github.com/memcached/memcached/wiki/ReleaseNotes1640>
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Mon, 29 Dec 2025 11:27:57 -0800

memcached (1.6.39-2) unstable; urgency=medium

  * Don't use the embedded Lua version. (Closes: #1119119)
  * Drop Rules-Requires-Root: no in debian/control.
  * Drop binary dependency on lsb-base.

 -- Chris Lamb <lamby@debian.org>  Mon, 27 Oct 2025 12:14:56 -0700

memcached (1.6.39-1) unstable; urgency=medium

  * New upstream release.
    <https://github.com/memcached/memcached/wiki/ReleaseNotes1639>

 -- Chris Lamb <lamby@debian.org>  Fri, 15 Aug 2025 08:18:08 -0700

memcached (1.6.38-1) unstable; urgency=medium

  * New upstream release.
      <https://github.com/memcached/memcached/wiki/ReleaseNotes1638>

 -- Chris Lamb <lamby@debian.org>  Fri, 21 Mar 2025 09:37:27 +0000

memcached (1.6.37-1) unstable; urgency=medium

  * New upstream release.
    <https://github.com/memcached/memcached/wiki/ReleaseNotes1637>

 -- Chris Lamb <lamby@debian.org>  Fri, 28 Feb 2025 11:03:39 +0000

memcached (1.6.36-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Fri, 07 Feb 2025 09:56:15 +0000

memcached (1.6.34-1) unstable; urgency=medium

  * New upstream release.
    <https://github.com/memcached/memcached/wiki/ReleaseNotes1634>

 -- Chris Lamb <lamby@debian.org>  Mon, 30 Dec 2024 12:07:37 +0000

memcached (1.6.33-2) unstable; urgency=medium

  * Add liburi-perl to Suggests. Thanks, Athos Ribeiro. (Closes: #1089655)

 -- Chris Lamb <lamby@debian.org>  Wed, 11 Dec 2024 11:07:03 +0000

memcached (1.6.33-1) unstable; urgency=medium

  * New upstream release.
    <https://github.com/memcached/memcached/wiki/ReleaseNotes1633>

 -- Chris Lamb <lamby@debian.org>  Fri, 06 Dec 2024 10:48:13 +0000

memcached (1.6.32-3) unstable; urgency=medium

  * Don't run the tests for the (experimental) proxy feature just yet.
    (Closes: #1088571)
  * Correct a typo in the previous changelog entry.

 -- Chris Lamb <lamby@debian.org>  Thu, 28 Nov 2024 13:07:11 +0000

memcached (1.6.32-2) unstable; urgency=medium

  * Enable the built-in proxy server support. For more information, see
    <https://docs.memcached.org/features/proxy/>. Do note that this code is
    still marked as "EXPERIMENTAL" in the codebase. (Closes: #1086113)

 -- Chris Lamb <lamby@debian.org>  Mon, 28 Oct 2024 10:02:58 -0700

memcached (1.6.32-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Fri, 25 Oct 2024 11:04:50 -0700

memcached (1.6.31-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0.

 -- Chris Lamb <lamby@debian.org>  Fri, 13 Sep 2024 08:43:09 +0100

memcached (1.6.29-1) unstable; urgency=medium

  * New upstream release.
    <https://github.com/memcached/memcached/wiki/ReleaseNotes1629>

 -- Chris Lamb <lamby@debian.org>  Mon, 01 Jul 2024 11:36:14 -0700

memcached (1.6.28-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Tue, 04 Jun 2024 08:32:09 +0100

memcached (1.6.27-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Sun, 12 May 2024 10:21:11 +0100

memcached (1.6.26-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Sat, 30 Mar 2024 09:10:43 +0000

memcached (1.6.25-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Sat, 23 Mar 2024 09:59:53 +0000

memcached (1.6.24-1) unstable; urgency=medium

  * New upstream release.
  * Drop 0007-uninitialized-variables.patch; applied upstream.

 -- Chris Lamb <lamby@debian.org>  Sun, 03 Mar 2024 15:54:51 +0000

memcached (1.6.23-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Sat, 13 Jan 2024 10:00:17 +0000

memcached (1.6.22-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Sat, 21 Oct 2023 09:17:43 +0100

memcached (1.6.21-3) unstable; urgency=medium

  * Also remove 'core' file from tests.
  * Don't run the tests on riscv64. Thanks, Bo YU <tsu.yubo@gmail.com>.
    (Closes: #1053823)

 -- Chris Lamb <lamby@debian.org>  Thu, 12 Oct 2023 08:44:42 +0100

memcached (1.6.21-2) unstable; urgency=medium

  * Do more cleanup in the clean target. (Closes: #1046084)

 -- Chris Lamb <lamby@debian.org>  Tue, 22 Aug 2023 13:08:14 -0700

memcached (1.6.21-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.6.2.

 -- Chris Lamb <lamby@debian.org>  Sat, 24 Jun 2023 10:36:16 +0100

memcached (1.6.19-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
  * memcached.conf: Also listen on IPv6 by default.

 -- Chris Lamb <lamby@debian.org>  Wed, 15 Mar 2023 09:33:00 +0000

memcached (1.6.18-1) unstable; urgency=medium

  * New upstream release. (Closes: #1028497)
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Thu, 12 Jan 2023 00:02:22 +0000

memcached (1.6.17-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
    - Add pkg-config to Build-Depends.
  * Drop unused UPSTREAM_AUTOCONF_GENERATED_FILES variable.

 -- Chris Lamb <lamby@debian.org>  Thu, 08 Sep 2022 06:52:56 +0100

memcached (1.6.16-1) unstable; urgency=medium

  * New upstream release.
  * Drop lp1979705-fix-ftbfs-gcc12-ppc64el.patch; applied upstream.
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Sat, 06 Aug 2022 07:30:36 -0700

memcached (1.6.15-2) unstable; urgency=medium

  [ Chris Lamb ]
  * Bump Standards-Version to 4.6.1.
  * Update debian/gitlab-ci.yml.

  [ Sergio Durigan Junior ]
  * Fix FTBFS with GCC 12 on ppc64el

 -- Chris Lamb <lamby@debian.org>  Thu, 07 Jul 2022 13:00:40 +0100

memcached (1.6.15-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Sun, 03 Apr 2022 09:42:35 +0100

memcached (1.6.14-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Sat, 12 Feb 2022 08:50:01 -0800

memcached (1.6.13-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Sat, 15 Jan 2022 10:05:01 +0000

memcached (1.6.12+dfsg-4) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * Remove static libssl1.1 dependency (LP: #1955006)

  [ Chris Lamb ]
  * Update debian/copyright.

 -- Chris Lamb <lamby@debian.org>  Mon, 03 Jan 2022 08:38:05 +0000

memcached (1.6.12+dfsg-3) unstable; urgency=medium

  * Fix compilation errors under -O3 due to uninitialised variables.
    (Closes: #1001357)
  * Don't run the whitespace tests.

 -- Chris Lamb <lamby@debian.org>  Thu, 09 Dec 2021 08:50:08 -0800

memcached (1.6.12+dfsg-2) unstable; urgency=medium

  * Renable TLS for now. (Closes: #1000463)

 -- Chris Lamb <lamby@debian.org>  Tue, 23 Nov 2021 08:59:31 -0800

memcached (1.6.12+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0.

 -- Chris Lamb <lamby@debian.org>  Sat, 02 Oct 2021 07:59:24 +0100

memcached (1.6.10+dfsg-2) unstable; urgency=medium

  * Restore systemd sandboxing as the Debian version of systemd supports these
    features. Thanks to Robie Basak for the bug and patch. (Closes: #892922)

 -- Chris Lamb <lamby@debian.org>  Thu, 26 Aug 2021 12:05:23 +0100

memcached (1.6.10+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.1.

 -- Chris Lamb <lamby@debian.org>  Mon, 16 Aug 2021 18:07:41 +0100

memcached (1.6.9+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Wed, 25 Nov 2020 10:25:05 +0000

memcached (1.6.8+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Wed, 28 Oct 2020 10:27:52 +0000

memcached (1.6.7+dfsg-3) unstable; urgency=medium

  * Try and get the tests to pass again.

 -- Chris Lamb <lamby@debian.org>  Fri, 18 Sep 2020 11:34:35 +0100

memcached (1.6.7+dfsg-2) unstable; urgency=medium

  * Run tests in single CPU mode. Thanks, Tomas Korbar. (Closes: #968603)

 -- Chris Lamb <lamby@debian.org>  Tue, 15 Sep 2020 12:22:53 +0100

memcached (1.6.7+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch.

 -- Chris Lamb <lamby@debian.org>  Tue, 15 Sep 2020 12:22:50 +0100

memcached (1.6.6-3) unstable; urgency=medium

  * Add libio-socket-ssl-perl to test dependencies.
  * Disable TLS on armhf for now.
  * Clarify forwarded status of all patches.
  * Bump debhelper compat level to 13.

 -- Chris Lamb <lamby@debian.org>  Mon, 24 Aug 2020 11:38:51 +0100

memcached (1.6.6-2) unstable; urgency=medium

  [ Moisés Guimarães de Medeiros ]
  * Enable TLS capabilities by default. (Closes: #968603)

  [ Chris Lamb ]
  * Drop unnecessary dependency on dh-autoreconf.
  * Run "wrap-and-sort -sa".

 -- Chris Lamb <lamby@debian.org>  Tue, 18 Aug 2020 16:26:07 +0100

memcached (1.6.6-1) unstable; urgency=medium

  * New upstream release.
    - Fixes FTBFS on s390x and other architectures. (Closes: #960459)

 -- Chris Lamb <lamby@debian.org>  Wed, 13 May 2020 10:10:16 +0100

memcached (1.6.5-2) unstable; urgency=medium

  * Attempt to fix failing autopkgtest that assumes a particular string is in
    the first 1KiB of the response.

 -- Chris Lamb <lamby@debian.org>  Sat, 18 Apr 2020 22:05:46 +0100

memcached (1.6.5-1) unstable; urgency=medium

  * New upstream release.
    <https://github.com/memcached/memcached/wiki/ReleaseNotes165>

 -- Chris Lamb <lamby@debian.org>  Wed, 15 Apr 2020 11:19:14 +0100

memcached (1.6.3-1) unstable; urgency=medium

  * New upstream release.
    <https://github.com/memcached/memcached/wiki/ReleaseNotes163>

 -- Chris Lamb <lamby@debian.org>  Wed, 01 Apr 2020 10:30:06 +0100

memcached (1.6.2-1) unstable; urgency=medium

  * New upstream security release. (Closes: #954808)
    <https://github.com/memcached/memcached/wiki/ReleaseNotes162>

 -- Chris Lamb <lamby@debian.org>  Mon, 23 Mar 2020 19:56:59 +0000

memcached (1.6.1-1) unstable; urgency=medium

  * New upstream release.
    <https://github.com/memcached/memcached/wiki/ReleaseNotes161>

 -- Chris Lamb <lamby@debian.org>  Thu, 19 Mar 2020 18:25:33 +0000

memcached (1.6.0-1) unstable; urgency=medium

  * New upstream release.
    <https://github.com/memcached/memcached/wiki/ReleaseNotes160>
  * Drop "stats_prefix-Remove-test-failure-due-to-non-determin.patch"; applied
    upstream.

 -- Chris Lamb <lamby@debian.org>  Wed, 11 Mar 2020 13:16:55 +0000

memcached (1.5.22-2) unstable; urgency=medium

  * Apply a patch (merged upstream) to fix FTFBS on s390x, etc. Thanks,
    Christian Ehrhardt. (Closes: #950777)

 -- Chris Lamb <lamby@debian.org>  Thu, 06 Feb 2020 15:57:03 +0000

memcached (1.5.22-1) unstable; urgency=medium

  * New upstream release.
    <https://github.com/memcached/memcached/wiki/ReleaseNotes1521>

 -- Chris Lamb <lamby@debian.org>  Tue, 04 Feb 2020 11:45:44 +0100

memcached (1.5.21-1) unstable; urgency=medium

  * New upstream release.
    <https://github.com/memcached/memcached/wiki/ReleaseNotes1521>
  * Bump Standards-Version to 4.5.0.
  * Refresh 0004-Don-t-run-some-upstream-tests.patch patch.

 -- Chris Lamb <lamby@debian.org>  Sun, 26 Jan 2020 11:41:26 +0000

memcached (1.5.20-1) unstable; urgency=medium

  * New upstream release.
    <https://github.com/memcached/memcached/wiki/ReleaseNotes1520>
  * Refresh 0004-Don-t-run-some-upstream-tests.patch.

 -- Chris Lamb <lamby@debian.org>  Tue, 12 Nov 2019 10:21:40 +0100

memcached (1.5.19-2) unstable; urgency=medium

  * Add iproute2 to autopkgtest dependencies. (Closes: #942183)
  * Try and ensure that memcached is running in the tests.
  * Bump Standards-Version to 4.4.1.

 -- Chris Lamb <lamby@debian.org>  Fri, 11 Oct 2019 08:34:04 -0700

memcached (1.5.19-1) unstable; urgency=medium

  * New upstream release.
    <https://github.com/memcached/memcached/wiki/ReleaseNotes1519>

 -- Chris Lamb <lamby@debian.org>  Thu, 03 Oct 2019 11:59:13 +0100

memcached (1.5.18-1) unstable; urgency=medium

  * New upstream release.
    <https://github.com/memcached/memcached/wiki/ReleaseNotes1518>
  * Specify "Rules-Requires-Root: no".

 -- Chris Lamb <lamby@debian.org>  Tue, 24 Sep 2019 10:32:58 +0100

memcached (1.5.17-2) unstable; urgency=medium

  * In the systemd service file, specify PIDFile=/run/memcached/memcached.pid
    over /var/run/memcached/memcached.pid.
  * Add missing ${perl:Depends} to binary dependencies.
  * Update package short description.
  * Rename/refresh all patches.
  * Add a gitlab-ci.yml.

 -- Chris Lamb <lamby@debian.org>  Sat, 21 Sep 2019 17:59:36 +0200

memcached (1.5.17-1) unstable; urgency=medium

  * Adopt package. (Closes: #939425)
  * New upstream release. (Closes: #924584)
    - CVE-2019-15026: Fix a stack-based buffer overread in conn_to_str.
      (Closes: #939337)
    - Release notes:
      <https://github.com/memcached/memcached/wiki/ReleaseNotes1517>
    - Don't use unaligned access on ARM; merged upstream. (Closes: #879797)
    - Fix an issue with t/refhang.t hanging on s390x; merged upstream.
      (Closes: #835456)
    - Fix a timeout in the lru-crawler.t tests; merged upstream.
      (Closes: #789835)
  * Source /etc/default/memcached in /etc/init.d/memcached. (Closes: #934542)
  * Add a Pre-Depends on "${misc:Pre-Depends}" to ensure a correct dependency
    on init-system-helpers for the --skip-systemd-native flag.
  * Install README.damemtop to /usr/share/doc/memcached instead of under
    /usr/share/memcached.
  * Drop 08_fix-segfault-in-lru-command.patch patch; applied upstream.
  * Misc tidying:
    - Move to debhelper-compat virtual package, level 12; drop now-unnecessary
      Build-Depends on autotools-dev and dh-autoreconf, drop unnecessary
      --parallel "dh" argument, don't use the "systemd" dh sequencer, etc.
    - Bump Standards-Version to 4.4.0.
    - Move all URIs to HTTPS/SSL.
    - Refresh all patches.
    - wrap-and-sort -sa.
    - Drop trailing whitespaces.
  * Drop version from lsb-base dependency; satisfied in stretch.

 -- Chris Lamb <lamby@debian.org>  Fri, 06 Sep 2019 14:44:13 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog memcached`.
